function xd=MMAGS_ode_2_1(t,x)

global par

dens_vasc_id=par.dens_vasc_id;   
c_g=par.c_g;          
c_ev=par.c_ev;         
c_n=par.c_n;         
c_V=par.c_V;          
c_TAF=par.c_TAF;        
q_TAF=par.q_TAF;        
c_h=par.c_h;          
ED_50=par.ED_50;
q_AI=par.q_AI; % 
K_AI=par.K_AI;
%k_vol=par.k_vol;

%===================
      
      
V=x(1,1);
N=x(2,1); 
B=x(3,1); 
T=x(4,1);  
I=x(5,1);

%===================
V_tot=V+N;

k_vol=V_tot/1460;

dens_B=B/V;

r_v=1-(dens_vasc_id-dens_B)/dens_vasc_id;

f_P=f_P_MMAGS(V_tot);

gamma=(1-r_v)*f_P+r_v;

%============================
xd(1,1)= c_g*gamma*V-c_n*(1-gamma)*V;

xd(2,1)=c_n*(1-gamma)*V;

        %c_ev*d)V_tot)/dt + 
xd(3,1)=c_ev*c_g*gamma*V+c_V*T*B;

xd(4,1)=c_TAF*(1-gamma)-q_TAF*T-c_h*(T*I/(ED_50+I));

xd(5,1)=inj_fnc_prot_1_discrete(t)-q_AI*(I/(K_AI+I))-k_vol*c_h*(T*I/(ED_50+I));