function [out] = f_gamma(V,r_v)

% x=[0.0318
%     0.0350
%     0.0263
%     0.1015];
%   
%   p=x(1);
%   c=x(2);
%   b=x(3);
%   a=x(4);
% 
% f_P=c+a*(exp(-p*V))^b;

    r=(3/4*V/pi)^(1/3);
    if r<=0.15
        V_core=0;
    else
        V_core=4/3*(r-0.15)^3*pi;
    end
    V_perif=V-V_core;

    f_P=V_perif/V_core;

out=(1-r_v)*f_P+r_v;

end

