function [t_out,x,V_out,N_out,B_out,TAF_out,AI_out,V_U,gamma,dens_vasc,r_V,TAF_dep_vasc]=simulate_MMAGS_ode_2(X0,protocol,tspan,t_s)
%function [t_out,x,V_out,V_U,B_out,N_out,TAF_out,AI_out,gamma,dens_vasc,r_V,TAF_dep_vasc]=simulate_MMAGS_ode(par,X0,protocol,tspan,t_s)

global par

 dens_vasc_id=par.dens_vasc_id; 
 c_g=par.c_g;          
 c_ev=par.c_ev;         
 c_n=par.c_n;         
 c_V=par.c_V;          
 c_TAF=par.c_TAF;        
 q_TAF=par.q_TAF;        
 c_h=par.c_h;          
 ED_50=par.ED_50;
 q_AI=par.q_AI; % 
 K_AI=par.K_AI;
 %k_vol=par.k_vol;

%==============
 
if protocol==0;
 [t_res,y_res]=ode23s('MMAGS_ode_2_0',tspan,X0);
    elseif protocol==1; 
  [t_res,y_res]=ode23s('MMAGS_ode_2_1',tspan,X0);
    else
  [t_res,y_res]=ode23s('MMAGS_ode_2_2',tspan,X0);
end

 t_out=t_res;
 
 x=y_res;
 
 V_out=x(:,1);
 N_out=x(:,2);
 B_out=x(:,3);
 TAF_out=x(:,4);
 AI_out=x(:,5);
 
 l_x=size(x,1);
 
 for i=1:l_x
     x_akt=x(i,:);
     
      V=x_akt(1);
      N=x_akt(2);
      B=x_akt(3);
      TAF=x_akt(4);
      AI=x_akt(5);
      
      
    %===================
    V_tot(i)=V+N;

    dens_B(i)=B/V;

    r_v(i)=1-(dens_vasc_id-dens_B(i))/dens_vasc_id;

    f_P(i)=f_P_MMAGS(V_tot(i));

    gamma(i)=(1-r_v(i))*f_P(i)+r_v(i);
    
    V_U(i)=(1-gamma(i))*V;
    
    TAF_dep_vasc(i)=c_V*TAF*B;
    
 end
      
     dens_vasc=dens_B;
     r_V=r_v;
     
     
     
 
 
 
 